package md

type CentralKitchenForSchoolExportRecordsListReq struct {
	Page      int    `json:"page" label:"页码"`
	Kind      int    `json:"kind" label:"导出类型"`
	Limit     int    `json:"limit" label:"每页数量"`
	StartDate string `json:"start_date" label:"起始时间"`
	EndDate   string `json:"end_date" label:"截止时间"`
}

type CentralKitchenForSchoolDataStatisticsExportReq struct {
	Kind           int    `json:"kind" binding:"required" label:"导出类型"`
	StartDate      string `json:"start_date" binding:"required" label:"起始时间"`
	EndDate        string `json:"end_date" binding:"required" label:"截止时间"`
	MealKindList   []int  `json:"meal_kind_list" label:"就餐类型(1:早餐 2:午餐 3:晚餐)"`
	EnterpriseId   int    `json:"enterprise_id" label:"校企id"`
	EnterpriseName string `json:"enterprise_name" label:"校企名称"`
}

type NursingHomeExportRecordsListReq struct {
	Page      int    `json:"page" label:"页码"`
	Kind      int    `json:"kind" label:"导出类型"`
	Limit     int    `json:"limit" label:"每页数量"`
	StartDate string `json:"start_date" label:"起始时间"`
	EndDate   string `json:"end_date" label:"截止时间"`
}

type NursingHomeDataStatisticsExportReq struct {
	Kind           int    `json:"kind" binding:"required" label:"导出类型"`
	StartDate      string `json:"start_date" binding:"required" label:"起始时间"`
	EndDate        string `json:"end_date" binding:"required" label:"截止时间"`
	EnterpriseId   int    `json:"enterprise_id" label:"校企id"`
	EnterpriseName string `json:"enterprise_name" label:"校企名称"`
}

type SelfSupportForSchoolExportRecordsListReq struct {
	Page      int    `json:"page" label:"页码"`
	Kind      int    `json:"kind" label:"导出类型"`
	Limit     int    `json:"limit" label:"每页数量"`
	StartDate string `json:"start_date" label:"起始时间"`
	EndDate   string `json:"end_date" label:"截止时间"`
}

type SelfSupportForSchoolDataStatisticsExportReq struct {
	Kind           int    `json:"kind" binding:"required" label:"导出类型"`
	StartDate      string `json:"start_date" binding:"required" label:"起始时间"`
	EndDate        string `json:"end_date" binding:"required" label:"截止时间"`
	EnterpriseId   int    `json:"enterprise_id" label:"校企id"`
	EnterpriseName string `json:"enterprise_name" label:"校企名称"`
}
